Revision 93b3c083 configure

View differences:

configure
1223 1223
strip="${cross_prefix}${strip}"
1224 1224

  
1225 1225
# we need to build at least one lib type
1226
if disabled_all static shared; then
1226
if ! enabled_any static shared; then
1227 1227
    cat <<EOF
1228 1228
At least one library type must be built.
1229 1229
Specify --enable-static to build the static libraries or --enable-shared to
......
1233 1233
    exit 1;
1234 1234
fi
1235 1235

  
1236
if disabled libogg; then
1236
if ! enabled libogg; then
1237 1237
    enabled libtheora && die "libogg must be enabled to enable libtheora."
1238 1238
    enabled libvorbis && die "libogg must be enabled to enable libvorbis."
1239 1239
fi
......
1254 1254
fi
1255 1255

  
1256 1256

  
1257
if disabled gpl ; then
1257
if ! enabled gpl; then
1258 1258
    die_gpl_disabled(){
1259 1259
        name=$1
1260 1260
        shift
......
1390 1390
EOF
1391 1391
if test "$?" != 0; then
1392 1392
    echo "$cc is unable to create an executable file."
1393
    if test -z "$cross_prefix" && disabled cross_compile ; then
1393
    if test -z "$cross_prefix" && ! enabled cross_compile ; then
1394 1394
        echo "If $cc is a cross-compiler, use the --cross-compile option."
1395 1395
        echo "Only do this if you know what cross compiling means."
1396 1396
    fi
......
1496 1496

  
1497 1497
# ---
1498 1498
# big/little-endian test
1499
if disabled cross_compile; then
1499
if ! enabled cross_compile; then
1500 1500
    check_ld <<EOF || die "endian test failed" && $TMPE && bigendian="yes"
1501 1501
#include <inttypes.h>
1502 1502
int main(int argc, char ** argv){
......
1517 1517
check_header malloc.h
1518 1518
check_func memalign
1519 1519

  
1520
if disabled_all memalign memalign_hack && enabled need_memalign ; then
1520
if ! enabled_any memalign memalign_hack && enabled need_memalign ; then
1521 1521
    die "Error, no memalign() but SSE enabled, disable it or use --enable-memalign-hack."
1522 1522
fi
1523 1523

  
......
1850 1850
echo "x264 enabled              ${libx264-no}"
1851 1851
echo "XviD enabled              ${libxvid-no}"
1852 1852
echo "zlib enabled              ${zlib-no}"
1853
if disabled gpl; then
1853
if ! enabled gpl; then
1854 1854
    echo "License: LGPL"
1855 1855
else
1856 1856
    echo "License: GPL"

Also available in: Unified diff